<template>
  <div class="page-404">
    <h1>页面不存在!</h1>

    <br />
    <br />
    <div v-if="domain">
      <i-button size="large" class="qm-primary-button" long @click="goLogin">
        返回登录页
      </i-button>
    </div>

    <div v-else>请关闭页面，重新登录！</div>
  </div>
</template>

<script>
export default {
  name: "Page404",
  data() {
    return { domain: localStorage.getItem("domain") };
  },
  methods: {
    goLogin() {
      this.$router.push("/login/" + localStorage.getItem("domain"));
    },
  },
};
</script>

<style scoped>
.page-404 {
  padding-top: 50px;
}
</style>
